%define version 1.3.1
%define release %mkrel 29

Summary:	TrueType font rasterizer library
Name:		freetype
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		System/Libraries
BuildRequires:	X11-devel
BuildRequires:	autoconf2.1
URL:		http://www.freetype.org
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source:		freetype-%{version}.tar.bz2
Source1:	ttmkfdir.tar.bz2
# Patch from X-TT sources, to correctly support Dynalab TTF fonts
# very popular in Taiwan
Patch:		freetype1.3-adw-nocheck.patch
Patch1:		freetype-1.3.1-compile-self.patch
# (gb) Disable byte-code interpreter
Patch2:		freetype-1.3.1-disable-bci.patch
# (nanar) fix gcc33 build, included in cvs version
Patch3:		freetype-1.3.1-gcc33.patch
# (abel) no need to include libintl
Patch4:		freetype-1.3.1-no-intl.patch

%package devel
Summary:	Header files and static library for development with FreeType
Group:		Development/C
Requires:	%{name} = %{version}-%{release}

%package tools
Summary:	Tools to manipulate TTF fonts
Group:		System/Fonts/True type
Requires:	%{name} = %{version}-%{release}

%description
The FreeType engine is a free and portable TrueType font rendering engine.
It has been developed to provide TT support to a great variety of
platforms and environments. Note that FreeType is a library, not a
stand-alone application, though some utility applications are included.

%description devel
This package is only needed if you intend to develop or
compile applications which rely on the FreeType library.
If you simply want to run existing applications, you won't
need this package.

%description tools
Tools to manipulate TTF fonts.

%prep
%setup -q -a 1

%patch -p0 -b .adw
%patch1 -p0
%patch2 -p1 -b .disable-bci
%patch3 -p0
%patch4 -p1 -b .no-intl

autoconf-2.13

%build
%configure --disable-debug \
	--enable-static \
	--enable-shared \
	--with-locale-dir=%{_datadir}/locale
make
make -C ttmkfdir-1.1

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall gnulocaledir=$RPM_BUILD_ROOT%{_datadir}/locale
make -C ttmkfdir-1.1 install
ln -sf %{_sbindir}/ttmkfdir $RPM_BUILD_ROOT%{_bindir}/ttmkfdir
rm -f $RPM_BUILD_ROOT%{_bindir}/ft*
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -p /sbin/ldconfig
%endif

%files -f %name.lang
%defattr(-,root,root,-)
%{_libdir}/libttf.so.*
%doc README announce

%files devel
%defattr(-,root,root,-)
%doc docs
%{_includedir}/*
%{_libdir}/libttf.so
%{_libdir}/libttf.la
%{_libdir}/libttf.a

%files tools
%defattr(-,root,root,-)
%{_bindir}/*
%{_sbindir}/*



%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3.1-29mdv2009.0
+ Revision: 221004
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3.1-28mdv2008.1
+ Revision: 170844
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3.1-27mdv2008.1
+ Revision: 150084
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- buildrequires X11-devel instead of XFree86-devel
- fix summary-ended-with-dot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 19 2007 Adam Williamson <awilliamson@mandriva.com> 1.3.1-26mdv2008.0
+ Revision: 91121
- d'oh, call autoconf 2.1 CORRECTLY
- call autoconf 2.1 specifically
- rebuild for 2008. this package is completely wrong (it's a library and should follow the lib policy, and ttmkfdir should be in a separate package as it has no relation to this one) but don't want to risk breaking anything by fixing it now...


* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.3.1-25mdv2007.1
+ Revision: 146592
- move big doc in -devel

* Tue Jan 30 2007 Götz Waschk <waschk@mandriva.org> 1.3.1-24mdv2007.1
+ Revision: 115468
- Import freetype

* Tue Jan 30 2007 Götz Waschk <waschk@mandriva.org> 1.3.1-24mdv2007.1
- unpack patches

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.3.1-24mdk
- Rebuild

* Mon May 24 2004 Abel Cheung <deaddog@deaddog.org> 1.3.1-23mdk
- Patch4: No need to link with libintl

* Sat Apr 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.1-22mdk
- relink with new libintl

